[blfs-support] gnome-3 is in the book

Ken Moffat zarniwhoop at ntlworld.com
Tue Feb 28 16:14:15 PST 2012


 When the online book is rendered for 29th February, gnome-3 is all
in.  Much of it is still work-in-progress (particularly the packages
NOT tagged for LFS-7.0), and many of the program/libary explanations
need to be added or commented out.

 I'm sure that Wayne will dislike a lot of what I've done, so blame
me not him.  In particular, (and after a false start when I got
misled), if a package assumes scrollkeeper-* programs (from rarian)
will be present, then I now ensure rarian is a recommended
dependency for the package or for one of its required dependencies,
and do not mention the --disable-scrollkeeper option.  I really
don't understand how people can hope to build gnome without rarian!

 I had assumed that my next step would be to build the packages I
haven't yet built, but I've delayed so many other (non-BLFS) things
that there will now probably be a long delay before I do that.

 What I *am* keen to do is finish sorting out the implicit
dpendencies.  We've always listed dependencies on the basis that
anything required or recommended for another dependency doesn't need
to be listed again.  At the moment, many gnome-3 packages show more
dependencies than are needed on this basis.

 If you are building any of gnome-3, please remember that the
packages are listed in alphabetical order within the various
sections.  You *will* need to work out which 'utilities' you want to
build, and then work back to find a correct order for all their
dependencies.

 Hope some of you enjoy soem of these apps.

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the blfs-support mailing list